FUNCTION AVG,X
;+
; NAME:  AVG
; PURPOSE:  computes average of vector/array
; CATEGORY: Math
; CALLING SEQUENCE:  avg_x=avg(x)
; INPUTS:   The vector/array to be averaged
; OPTIONAL INPUT PARAMETERS:  NONE
; KEYWORD PARAMETERS:
; OUTPUTS:  The average of the vector/array
; OPTIONAL OUTPUT PARAMETERS: NONE
; COMMON BLOCKS:  NONE
; SIDE EFFECTS:   NONE
; RESTRICTIONS:   NONE
; PROCEDURE:   TOTAL(X)/N-ELEMENTS(X)
; MODIFICATION HISTORY:
;     T.J.Hughes, HIA/NRCC, 90.12.11
;        IDL2 does not supply this function
;-
return, total(x) / n_elements(x)
END

