pro open_file,file_name,noscreen=noscr
;
common file_open,file,open,unit_num,dev_name
if n_elements(open) eq 0 then begin
   open=0
   file='                    '
   unit_num=0
   dev_name='   '
endif
;
if open eq 1 then begin
    print,'File ',file,' already open'
    return
endif
;
dev_name=!d.name
set_plot,'tek'
openw,unit,file_name,/get_lun
if keyword_set(noscr) then begin
     device,/tek4014,plot_to=unit
endif else begin
     if dev_name ne 'TEK' then begin
         print,'Cannot plot to ',dev_name,' device and TEK file at same time'
         print,'Plot will be sent to file only.'
         device,/tek4014,plot_to=unit
     endif else device,/tek4014,plot_to=-1*unit
endelse
;
file=file_name
open=1
unit_num=unit
print,' File ',file_name,' open'
;
return
end
