;+
; NAME:
;	STRIN
; PURPOSE:
;	Determine if a substring apears in a string.
; CALLING SEQUENCE:
;	Result = STRIN( SUBSTRING, STRING )
; INPUTS:
;	SUBSTRING = Scalar string.
;	STRING = Scalar string.
; OUTPUTS:
;	Result = Boolean value. True if and only if SUBSTRING is a substring 
;	   of STRING.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 29 April 1991: Runs under IDL2.
;	IFG,  5 Feb 1993: Added ON_ERROR.
;-

function strin, substring,string

on_error, 2
return, (strpos(string,substring) ne -1)
end
