pro bpd_axis
;
;+
; NAME: BPD_AXIS
; PURPOSE:
; CATEGORY:
; CALLING SEQUENCE:
; INPUTS:
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
; OPTIONAL OUTPUT PARAMETERS:
; COMMON BLOCKS:
;       BPD_common,xtype,xmax,xmin,xscale,bp_x_offset,$
;                  ytype,ymax,ymin,yscale,bp_y_offset,rot_angle 
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;-
;
common BPD_common,xtype,xmax,xmin,xscale,bp_x_offset,$
                  ytype,ymax,ymin,yscale,bp_y_offset,rot_angle 
;
print,'Enter X axis type 0> Linear 1> Log [default=0]',format='(1x,a,$)'
read,xtype
if (xtype eq 1) then begin
   print,'Enter exponent of Xmin,Xmax',format='(1x,a,$)'
endif else begin
   xtype=0
   print,'Enter Xmin,Xmax of plot',format='(1x,a,$)'
endelse
read,xmin,xmax
;
print,'Enter Y axis type 0> Linear 1> Log [default=0]',format='(1x,a,$)'
read,ytype
if (ytype eq 1) then begin
   print,'Enter exponent of Ymin,Ymax',format='(1x,a,$)'
endif else begin
   ytype=0
   print,'Enter Ymin,Ymax of plot',format='(1x,a,$)'
endelse
read,Ymin,Ymax
;
err=1
while (err eq 1) do begin
   print,'On the bitpad, indicate the Bottom Left corner of the plot'
   bitpad_read,x_bl,y_bl,i3,err
endwhile
print,'--- ACCEPTED ---'
err=1
while (err eq 1) do begin
   print,'Next, indicate the Top Left corner of the plot'
   bitpad_read,x_tl,y_tl,i3,err
endwhile
print,'--- ACCEPTED ---'
err=1
while (err eq 1) do begin
   print,'Lastly, indicate the Bottom Right corner of the plot'
   bitpad_read,x_br,y_br,i3,err
endwhile
print,'--- ACCEPTED ---'
;
rot_angle=atan(float(y_br-y_bl),float(x_br-x_bl))
;
print,'Rotation Angle = ',rot_angle
;
x_br=(x_br-x_bl)*cos(rot_angle)+(y_br-y_bl)*sin(rot_angle)+x_bl
y_br=-1*(x_br-x_bl)*sin(rot_angle)+(y_br-y_bl)*cos(rot_angle)+y_bl
x_tl=(x_tl-x_bl)*cos(rot_angle)+(y_tl-y_bl)*sin(rot_angle)+x_bl
y_tl=-1*(x_tl-x_bl)*sin(rot_angle)+(y_tl-y_bl)*cos(rot_angle)+y_bl
;
yscale=(ymax-ymin)/(y_tl-y_bl) 
xscale=(xmax-xmin)/(x_br-x_bl) 
;
bp_x_offset=x_bl
bp_y_offset=y_bl
;
if (ytype eq 0) then !y.range=[ymin,ymax] else !y.range=[10.^ymin,10.^ymax]
if (xtype eq 0) then !x.range=[xmin,xmax] else !x.range=[10.^xmin,10.^xmax]
!y.style=1+16
!x.style=1
;
plot,[xmin],[ymin],xtype=xtype,ytype=ytype
;
return
end
pro BPD_AXIS_ENTRY,ax_str,type,max,min
;
temp=' '
print,'Enter ',ax_str,' axis type 0> Linear 1> Log [default=0]',format='(1x,3a,$)'
read,temp
if strtrim(temp,2) ne '' then reads,temp,type else type=0
;
if (type eq 1) then begin
   print,'Enter exponents of ',ax_str,' min,max',format='(1x,3a,$)'
endif else begin
   type=0
   print,'Enter ',ax_str,' min,max of plot',format='(1x,3a,$)'
endelse
read,min,max
;
return
end
