;+
; NAME:
;	TYPE
; PURPOSE:
;	Returns the type code (returned by SIZE) of argument.
; CALLING SEQUENCE:
;	Result = TYPE (X)
; INPUTS:
;	X = Any expression.
; OUTPUTS:
;	Result = Scalar long integer. Type code of X.
; PROCEDURE:
;	Uses SIZE.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 18 Apr 1991, IDL2.
;	IFG, 4 Dec 1993: Added ON_ERROR.
;-

function type, x

on_error, 2
s = size(x)
return, s(s(0)+1)
end
